<template>
	<section>
		<div class="container">
			<loading :active.sync="isLoading"
					 :can-cancel="true"
					 :is-full-page="fullPage">
			</loading>
		<div class="row" v-if="!successRequest">

			<h2> Join Ride</h2> 

			<div class="col-md-7 form-group">
				<flash-message transitionIn="animated swing" class="myCustomClass"></flash-message>

				<!--<div class="widget" style="height: 470px">-->
				<div>

					<h3>{{ from }} &#8594; {{ to }}</h3>

					<span class="add-id">On</span><span><strong> 
						{{ ride.dateFrom | formatDate}}
					</strong></span> 
					<span class="add-id"> at <strong> {{ ride.start }} </strong></span> <br />

					<span class="add-in ladies-pink" v-if="ride.ladies_only == 'Yes'">
						<i class="fa fa-female"></i> 
						<strong>WOMEN ONLY</strong> {{ ride.ladies_only }}
					</span>
					<div v-if="ride.ride_stop">
						<p> {{ ride.city_from }} <i class="fa fa-arrow-right" aria-hidden="true"></i> </p> 
						<div v-for="stop in ride.ride_stop">
							<p> <span class="add-id"><strong>Stop Over:</strong> 
								{{ stop.city_name }} </span>
								<i class="fa fa-arrow-right" aria-hidden="true"></i>
							</p> 
						</div> 
						<p> {{ ride.city_to }} </p>
					</div>
					<br />
				
					<div class="row">
						<div class="user-dashboard-profile">
	
							<div>
								<div class="col-md-5 bordered-box right-margin">
									<h3 class="heading-underline">Driver</h3>
									<div class="profile-thumb profile-thumb-joinride">
							            <img :src="ride.user.avatar" width="85px" height="85px" class="img-circle" alt="ridesurf driver">
									</div>
									
									<!-- User Name -->
									<p>{{  ride.user.first_name }}
										{{ ride.user.last_name }}</p>

									<div class="stars">
										<span v-for="item in ride.user.rating" class="fa fa-star checked"></span>
										<span v-for="item in (5 - ride.user.rating)" class="fa fa-star"></span>
									</div>
									
									<p><strong>Active Since:</strong> {{  ride.user.created_at | formatDate }}<br />
									<strong>Gender:</strong> {{ ride.user.gender }}</p>
									<a :href="'/rides/viewUserProfile/' + ride.user.id " target="_blank"
									   class="btn btn-info">View Public Profile</a>
								</div>
							</div>
							<div class="col-md-5 bordered-box">
									
								<h3 class="heading-underline">Vehicle</h3>
									
								<img :src="vehicle.path_image" width="100px" height="100px" class="img-circle bottom-margin">
									
								<p>
								<strong>Make:</strong> {{ vehicle.make }}<br />
							 	<strong>Model:</strong> {{ vehicle.model }} <br />
								<strong>Color:</strong> {{ vehicle.color }} <br />
								<strong>Year:</strong> {{ vehicle.year }} <br />
								<strong>Type:</strong> {{ vehicle.type}}
								</p>

							</div>
						</div>
					</div>

					<div class="row top-margin-15 bottom-margin">
						<span class="add-in"><strong>Ride Description: </strong> {{ ride.description }}</span> <br/>
						<div v-if="ride.ride_type == 'airport'">
							<
						</div> 
					</div>

					<div class="widget" style="height: auto; border-top: 1px solid #ccc;" >
						<div v-for="user in usersRiding">
							<div class="col-md-4 col-sm-12 list-group-item">
								<div class="avatar full-margin-25">
									<img :src="user.user.avatar" width="45px" alt="" class="img-circle">
									<p> {{ user.user.first_name }} {{ user.user.last_name }} </p>
									<p> From <strong> {{ user.city_from }}</strong> </p>
									<p> To <strong> {{ user.city_to }}</strong></p>
								</div>
							</div>
						</div>

					</div>
				</div>
			</div>
			
			<div class="col-md-5 text-center">
				<div class="widget" style="height: auto;">
					
					<div class="row" style="border-bottom: solid 1px rgba(0, 0, 0, 0.1); padding-bottom: 10px">
						<div class="col-md-4 mobile-split-50" style="border-right: solid 1px  rgba(0, 0, 0, 0.1)">
							<h4 class="add-id"><strong>Price </strong></h4>
							<span style="color:green;font-size: 3em"> ${{ ride.price }}</span>
						</div>
						<div class="col-md-8 mobile-split-50" style="">
							<h4> Seats Available </h4>
							<span style="font-size: 3em">{{ ride.seats_available }}</span>
						</div>
					</div>
				</div>


		 		<!--<div class="container-fluid profile-header">-->
		 		<div class="container-fluid">
					<div class="row" style="margin-bottom: 25px;">
						<div class="col-xs-12 col-sm-12 col-md-12 text-center">
							<h3 style="margin-top: 25px"> Seats Requested: </h3>
							
							<select v-model="seats" class="form-control" style="margin-bottom: 15px;">

								<option v-if="isStop" v-for="index in ride.totalSeats">
									{{index}}
								</option>

								<option v-if="!isStop" v-for="index in ride.seats_available">
									{{index}}
								</option>

							</select>
							<h4>Please introduce yourself:</h4>
							<textarea v-model="description"  rows="7" class="form-control" required></textarea>
						</div>
					</div>

					<div class="col-md-12 text-center" id="buttonsChange">
						<button  v-if="!allow" class="btn btn-primary" disabled>Request To Join</button>
						<small v-if="!allow">You wont be able to join beacuse {{reason}} </small>
						<button @click="requestToJoin" v-if="allow" class="btn btn-primary" id="strLoader">Request To Join</button>
					</div>

					<br/> <br/>

					<div v-if="allow" class="wrapper bottom-margin" style="margin-top: 25px;">
						<p>Have a pre-booking question?</p>
						<a  :href="'/messages/contact/' + ride.id"  target="_blank" class="btn btn-success"> Contact Driver</a>
					</div>

				</div>
			</div>	
		</div>


	</div>


		<div class="" v-if="successRequest">
			<h2>Success!</h2>
			<p><br /><br />Your ride request has been submitted! We have sent your request to the driver.
				Drivers will approve requests as quickly as they can, but please be patient with them. Most drivers reply within 24 hours.</p>

			<a href="/dashboarduser/dashboarduser" class="btn btn-info mobile"> Return to Dashboard </a>
		</div>
	</section>
	
</template>

<script>
	import Loading from 'vue-loading-overlay';

	export default{
		name:"joinnormalride",
		props:['from', 'to', 'ride', 'start', 'usersRiding', 'isStop', 'vehicle', 'allow' ,'reason'],
		components:{Loading},
		data(){
			return{
				seats:1,
				description:'',
				isLoading:false,
				fullPage:false,
				successRequest:false,
			}
		},
		methods:{
			requestToJoin(){
				this.isLoading = true;
				if(this.description == ''){
					this.flash("Please add a description", 'error');
					return false;
				}if(this.isStop){
					this.isStop = true;
				}else{
					this.isStop = false;
				}
				axios.post('/rides/request/' + this.ride.id + '/' + this.ride.price, {
					body: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
						'description': this.description,
						'seats': this.seats,
						'city_from': this.ride.city_from,
						'city_to': this.ride.city_to,
						'isStop': this.isStop,
					}
				}).then(response => {
					this.isLoading = false;
					this.successRequest = true;

				}).catch(e => {
					this.flash(e.response.data.message, 'error');
					this.isLoading = false;
					this.errors.push(e)
				})
			}
		}
	}
</script> 

<style scoped>

</style> 